part of sam_models_dashboards;


class DashboardItem {
  late final int position;
  late final int width; // default width on initial state is min_width
  late final int height; // default height on initial state is min_height

  late final String analyticId;
  late final AnalyticWidget analytic;

  late final IotWidget? iotWidget;

  late final List<ElementResources> elementResources;

  DashboardItem(
      {required this.position,
      required this.analyticId,
      required this.elementResources,
      required this.iotWidget,
      this.width = 0,
      this.height = 0,
      required this.analytic});

  DashboardItem.fromJson(Map<String, dynamic> json) {
    List<ElementResources> list = [];
    var res = json['element_resources'] as List;
    list = res.map((r) => ElementResources.fromJson(r)).toList();

    this.position = json['position'];
    this.width = json['width'];
    this.height = json['height'];
    this.iotWidget = SamIotWidgets().collection.singleWhereOrNull(
            (wgt) => wgt.id == json['widget_id']);
    this.analyticId = json['analytic_id'];
    this.elementResources = list;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> result = new Map<String, dynamic>();

    result['position'] = position;
    result['width'] = width;
    result['height'] = height;
    result['widget_id'] = iotWidget!.id;
    result['analytic_id'] = analytic.id;
    result['element_resources'] = this
        .elementResources
        .map((ElementResources elemenRes) => elemenRes.toJson())
        .toList();

    return result;
  }
}
